# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlOBJ.hpp File Reference

`#include "vl/String.hpp"`
`#include "vl/Geometry.hpp"`
`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`
`#include <map>`

## Classes

class | vl::LoadWriterOBJ
| The LoadWriterOBJ class is a ResourceLoadWriter capable of reading OBJ files. More...
class | vl::ObjTexture
| Represents a Wavefront OBJ texture. See also ObjMaterial and ObjLoader. More...
class | vl::ObjMaterial
| Represents a Wavefront OBJ material as loaded from an MTL file. See also ObjLoader. More...
class | vl::ObjMesh
| Represents a Wavefront OBJ mesh. See also ObjLoader. More...
class | vl::ObjLoader
| Loads a Wavefront OBJ file. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Defines

#define | LoadOBJ_INCLUDE_ONCE

## Functions

ref< ResourceDatabase > | vl::loadOBJ (const String &path)
| Loads a Wavefront OBJ file. See also ObjLoader.
ref< ResourceDatabase > | vl::loadOBJ (VirtualFile *file)
| Loads a Wavefront OBJ file. See also ObjLoader.

## Define Documentation

#define LoadOBJ_INCLUDE_ONCE

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.